tt(1)

NAME
tt - Compile a treetop grammar file to ruby source code

SYNOPSIS
tt [options] grammar_file[.treetop|.tt] ...

DESCRIPTION
The tt program is a command-line script to compile .treetop files into Ruby source code. The tt program takes a list of files with a .treetop extension and compiles them into .rb files of the same name. You can then require these files like any other Ruby script. Alternately, you can supply just one .treetop file and a -o flag to specify the name of the output file. Note: while treetop grammar files must have a supported filename extensions, (.treetop or .tt), the extension name is not required when calling the compiler with grammar file names.

OPTIONS

-o, --output FILENAME
    Write parser source to FILENAME.

-f, --force
    Overwrite existing output file(s)

-v, --version
    Show Treetop version

-h, --help

EXAMPLES

1 grammar -> 1 parser source
    tt foo.tt

2 grammars -> 2 separate parsers
    tt foo bar.treetop

Alternately named output file
    tt -o alterate_name.rb foo

SEE ALSO
The treetop website: http://treetop.rubyforge.org